Subject: Re: FVWM: 'No such key' for valid keys?

From: Dominik Vogt <[email-masked]>
Date: Sat, 5 Oct 2002 23:47:30 +0200

On Sun, Sep 29, 2002 at 02:01:13AM -0700, Erik Steffl wrote:
>    when starting fvwm 2.4.8 (debian unstable) on vncserver 3.3.3r2 I get 
> bunch of errors even though the keys are valid, as verified by xev and 
> also by fvwm - they actually work!
> 
>    here are the error messages:
> 
> [FVWM][ParseBinding]: <<ERROR>> No such key: XF86Standby
> [FVWM][ParseBinding]: <<ERROR>> No such key: XF86AudioMute
> [FVWM][ParseBinding]: <<ERROR>> No such key: XF86AudioLowerVolume
> [FVWM][ParseBinding]: <<ERROR>> No such key: XF86AudioRaiseVolume
> [FVWM][ParseBinding]: <<ERROR>> No such key: XF86AudioPlay
> [FVWM][ParseBinding]: <<ERROR>> No such key: XF86AudioStop
> [FVWM][ParseBinding]: <<ERROR>> No such key: XF86AudioPrev
> [FVWM][ParseBinding]: <<ERROR>> No such key: XF86AudioNext
> [FVWM][ParseBinding]: <<ERROR>> No such key: XF86Mail
> [FVWM][ParseBinding]: <<ERROR>> No such key: XF86Search
> [FVWM][ParseBinding]: <<ERROR>> No such key: XF86HomePage
> [FVWM][ParseBinding]: <<ERROR>> No such key: XF86Start
> 
>    here's example of config (all the lines are like this one, just 
> different key and different text after -T):
> 
> Key     XF86AudioNext           A       A       Exec exec xterm -T next
> 
>    and it gets even stranger: when I run xev (just run it, not hitting 
> those keys while it's running) the messages disappear - next time I 
> start fvwm on the same server it works! yes, I tried to restart fvwm 
> before I run xev, the messages are there everytime it is started, until 
> I run xev.
> 
>    these bogus messages are NOT printed when using X 4.x (XFree86)
> 
>    any ideas?

THis looks like XF86 adds these key symbols to it's tables only
after fvwm has started.  Thus, fvwm wouldn't know about these
keys.  The latest 2.5.x code should be able to take care of this.
Of course that's no solution, but it would be interesting to know
if it works.

I vaguely remember a similar problem but I'm not sure what the
solution was.  Searching the mailing list archive may help.

Bye

Dominik ^_^  ^_^

 --
Dominik Vogt, [email-masked]
Reply-To: [email-masked]

--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].